View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007548ParaView(No Category)public2008-08-26 10:362009-05-13 13:59
ReporterKen Moreland 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0007548: Volume render vector by magnitude not working
DescriptionWhen you turn on volume rendering of a vector and it is supposed to be mapping by the magnitude of the vector (the default), it actually maps the X component of the vector with the range clamped at the lower end to 0. To replicate, do the following.

1. Open disk_out_ref. Load all the variables.
2. Color by V (magnitude).
3. Turn on volume rendering.

As described above and demonstrated in the attached image, the result is wrong.
TagsNo tags attached.
Project
Topic Name
Type
Attached Filespng file icon VolumeRenderVectorBug.png [^] (147,197 bytes) 2008-08-26 10:36

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013186)
Ken Moreland (manager)
2008-08-26 10:36

This bug can be addressed in a 3.4 patch.
(0013190)
Utkarsh Ayachit (administrator)
2008-08-26 15:06

On investigation none of the volume mappers seem to support rendering of vectors correctly. Should we simply remove non-scalar array from the color-by menu for volume rendering?
(0013192)
Ken Moreland (manager)
2008-08-26 16:31

Yes, I think that would be a fine short term solution. We could do that and wait for a request to volume render vectors directly.
(0013193)
Utkarsh Ayachit (administrator)
2008-08-26 16:39

When volume rendering, skip arrays with more than 1 component.

/cvsroot/ParaView3/ParaView3/Qt/Core/pqPipelineRepresentation.cxx,v <-- Qt/Core/pqPipelineRepresentation.cxx
new revision: 1.34; previous revision: 1.33
(0013267)
Alan Scott (manager)
2008-09-02 21:25

Not sure what you did, but the directions below now have a totally blank screen. Could be related to how I test - client/6 servers. Tried Temp, it also stayed blank.
(0014183)
Alan Scott (manager)
2008-11-25 12:54

Tested client/server.

- Issue History
Date Modified Username Field Change
2008-08-26 10:36 Ken Moreland New Issue
2008-08-26 10:36 Ken Moreland File Added: VolumeRenderVectorBug.png
2008-08-26 10:36 Ken Moreland Note Added: 0013186
2008-08-26 13:52 Utkarsh Ayachit Status backlog => tabled
2008-08-26 13:52 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2008-08-26 15:06 Utkarsh Ayachit Note Added: 0013190
2008-08-26 15:06 Utkarsh Ayachit Status tabled => @20@
2008-08-26 16:31 Ken Moreland Note Added: 0013192
2008-08-26 16:31 Ken Moreland Status @20@ => tabled
2008-08-26 16:39 Utkarsh Ayachit Status tabled => @80@
2008-08-26 16:39 Utkarsh Ayachit Resolution open => fixed
2008-08-26 16:39 Utkarsh Ayachit Note Added: 0013193
2008-09-02 21:25 Alan Scott Status @80@ => @20@
2008-09-02 21:25 Alan Scott Resolution fixed => reopened
2008-09-02 21:25 Alan Scott Note Added: 0013267
2008-11-25 09:48 Utkarsh Ayachit Status @20@ => @80@
2008-11-25 09:48 Utkarsh Ayachit Resolution reopened => fixed
2008-11-25 12:54 Alan Scott Note Added: 0014183
2008-11-25 12:54 Alan Scott Status @80@ => closed
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker